import { OnInit } from "@angular/core";
import { UntypedFormControl } from "@angular/forms";
import { MatDialogRef } from "@angular/material/dialog";
import { ReplaySubject, Subject } from "rxjs";
import { TranslateLibraryService } from "../../services/translation-registry.service";
import * as i0 from "@angular/core";
export interface Task {
    name: string;
    checked: boolean;
    subtasks?: any;
}
export declare class SelectDialog implements OnInit {
    trans: TranslateLibraryService;
    dialogRef: MatDialogRef<SelectDialog>;
    data: any;
    LANG: any;
    task: Task;
    allComplete: boolean;
    taskFilterCtrl: UntypedFormControl;
    /** list of filtered by search keyword */
    filteredTask: ReplaySubject<[]>;
    ngUnsubscribe: Subject<void>;
    constructor(trans: TranslateLibraryService, dialogRef: MatDialogRef<SelectDialog>, data: any);
    ngOnInit(): void;
    protected filterBanks(): void;
    ngOnDestroy(): void;
    updateAllComplete(): void;
    someComplete(): boolean;
    setAll(checked: boolean): void;
    isEllipsisActive(e: HTMLElement): boolean;
    filterFunction(listTask: any): any;
    removeCheckedNodeList(item: any): void;
    onCloseClick(): void;
    onAddClick(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SelectDialog, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SelectDialog, "qms-select-dialog", never, {}, {}, never, never, false, never>;
}
